#
# spec file for package jack_capture
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2005 JackLab, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jack_capture
Version:        0.9.73
Release:        2.2
Summary:        A small program to jack
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://github.com/kmatheussen/jack_capture
Source0:        https://github.com/kmatheussen/jack_capture/archive/%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch0:         0001-Compile-with-_GNU_SOURCE-to-avoid-custom-version-of-.patch
BuildRequires:  gcc-c++
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig
%if %{defined fedora}
BuildRequires:  jack-audio-connection-kit-devel
%else
BuildRequires:  libjack-devel
%endif

%description
jack_capture is a small program to capture whatever
sound is going out to your speakers into a file.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags}"
%make_build

%install

install -dm 755 %{buildroot}%{_bindir}
install -s -m 755 %{name} %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/%{name}

%changelog
* Sat Aug 26 2023 Christophe Marin <christophe@krop.fr>
- Add upstream change:
  * 0001-Compile-with-_GNU_SOURCE-to-avoid-custom-version-of-.patch
* Wed Sep 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.9.73:
  * Make it clearer that you risk overwriting an old file by specifying filename
  * OSX compilation fix (Julius Smith)
  * Print warning in case user overwrites existing file.
  * Use execvp, not execv. Also print strerror() if execvp failed.
  * Support OSX (Luciano Iammarino)
  * Some tsan fixes
  * replace static .wav suffix with correct soundfile_format (Sebastian Reimers)
  * Silence unused parameter warnings from gcc 4.8
  * Warn about unable to set SCHED_OTHER process using setpriority(), not a SCHED_FIFO process
  * Compilation patches from debian
* Wed Aug 29 2018 sflees@suse.de
- Fix rpm group
- Run spec_cleaner
* Sun Sep 21 2014 edogawa@aon.at
- revived old jacklab rpm, updated to version 0.9.71
* Sun Aug 13 2006 r.neike@gmx.de
- initial rpm (0.3.7-0.jacklab.1)
